# Browser

- [execute\_script](https://docs.pylenium.io/driver-commands/browser/execute_script.md): The command to execute javascript into the browser.
- [execute\_async\_script](https://docs.pylenium.io/driver-commands/browser/execute_async_script.md): The command to execute async javascript into the browser.
- [maximize\_window](https://docs.pylenium.io/driver-commands/browser/maximize_window.md): The command the maximize the current window.
- [screenshot](https://docs.pylenium.io/driver-commands/browser/screenshot.md): The command to take a screenshot of the current window.
- [scroll\_to](https://docs.pylenium.io/driver-commands/browser/scroll_to.md): The command to scroll to the given location.
- [title](https://docs.pylenium.io/driver-commands/browser/title.md): The command to get the current page's title.
- [url](https://docs.pylenium.io/driver-commands/browser/url.md): The command to get the current page's URL.
- [window\_handles](https://docs.pylenium.io/driver-commands/browser/window_handles.md): This property gets a list of all the window handles in the current browser session.
- [window\_size](https://docs.pylenium.io/driver-commands/browser/window_size.md): This property get the size of the current window.
- [viewport](https://docs.pylenium.io/driver-commands/browser/viewport.md): The command to control the size and orientation of the current browser window.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pylenium.io/driver-commands/browser.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
